%define upstream_name    LWP-Protocol-PSGI
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Override LWP's HTTP/HTTPS backend with your own PSGI applciation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Guard)
BuildRequires: perl(HTTP::Message::PSGI)
BuildRequires: perl(LWP) >= 5.0.0
BuildRequires: perl(LWP::Protocol)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
LWP::Protocol::PSGI is a module to hijack *any* code that uses the
LWP::UserAgent manpage underneath such that any HTTP or HTTPS requests can
be routed to your own PSGI application.

Because it works with any code that uses LWP, you can override various
WWW::*, Net::* or WebService::* modules such as the WWW::Mechanize manpage,
without modifying the calling code or its internals.

  use WWW::Mechanize;
  use LWP::Protocol::PSGI;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 537257
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.60.0-1.mga4
+ Revision: 486651
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 368918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 342358
- update to 0.04

* Fri Aug 31 2012 kharec <kharec> 0.30.0-1.mga3
+ Revision: 286216
- update to 0.03

* Fri Oct 07 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 152748
- imported package perl-LWP-Protocol-PSGI


* Fri Oct 07 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
